# device.h File Reference

`#include <ubixos/types.h>`

Go to the source code of this file.

## Data Structures

struct | deviceNode

## Functions

void | deviceAdd (int major, int minor, char type, void *read, void *write, void *reset, void *init, void *ioctl, void *stop, void *start, void *standby, void *info)
deviceNode * | deviceFind (int major, int minor)

## Function Documentation

void deviceAdd | ( | int | major,
|  | int | minor,
|  | char | type,
|  | void * | read,
|  | void * | write,
|  | void * | reset,
|  | void * | init,
|  | void * | ioctl,
|  | void * | stop,
|  | void * | start,
|  | void * | standby,
|  | void * | info
| ) |

struct deviceNode* deviceFind | ( | int | major,
|  | int | minor
| ) |